import { createRouter, createWebHistory } from 'vue-router'

const router = createRouter({
	history: createWebHistory(import.meta.env.BASE_URL),
	routes: [
		/**
		 * General
		 */
		{
			path: '/',
			name: 'home',
			component: () => import('../views/HomeView.vue'),
		},
		{
			path: '/explain_crontab',
			name: 'explain_crontab',
			component: () => import('../views/ExplainCrontab.vue'),
		},
		{
			path: '/table_to_markdown_table',
			name: 'table_to_markdown_table',
			component: () => import('../views/TableToMarkdownTable.vue'),
		},
		{
			path: '/table_to_mediawiki_table',
			name: 'table_to_mediawiki_table',
			component: () => import('../views/TableToMediawikiTable.vue'),
		},
		{
			path: '/dummy_image',
			name: 'dummy_image',
			component: () => import('../views/DummyImage.vue'),
		},
		{
			path: '/humans_txt',
			name: 'humans_txt',
			component: () => import('../views/HumansTxt.vue'),
		},
		{
			path: '/qr_code',
			name: 'qr_code',
			component: () => import('../views/QRCode.vue'),
		},
		{
			path: '/unix_timestamp',
			name: 'unix_timestamp',
			component: () => import('../views/UnixTimestamp.vue'),
		},

		/**
		 * String manipulation
		 */
		{
			path: '/str_length',
			name: 'str_length',
			component: () => import('../views/StrLength.vue'),
		},
		{
			path: '/str_sort_lines',
			name: 'str_sort_lines',
			component: () => import('../views/StrSortLines.vue'),
		},
		{
			path: '/str_to_lower_upper',
			name: 'str_to_lower_upper',
			component: () => import('../views/StrToLowerUppper.vue'),
		},
		{
			path: '/str_remove_duplicate_lines',
			name: 'str_remove_duplicate_lines',
			component: () => import('../views/StrRemoveDuplicateLines.vue'),
		},
		{
			path: '/str_pad',
			name: 'str_pad',
			component: () => import('../views/StrPad.vue'),
		},
		{
			path: '/str_to_php_array',
			name: 'str_to_php_array',
			component: () => import('../views/StrToPHPArray.vue'),
		},
		{
			path: '/str_numeronym',
			name: 'str_numeronym',
			component: () => import('../views/StrNumeronym.vue'),
		},
		{
			path: '/str_to_nato_alphabet',
			name: 'str_to_nato_alphabet',
			component: () => import('../views/StrToNATOAlphabet.vue'),
		},
		{
			path: '/php_array_to_json',
			name: 'php_array_to_json',
			component: () => import('../views/PHPArrayToJson.vue'),
		},
		{
			path: '/fix_ru_en_keyboard',
			name: 'fix_ru_en_keyboard',
			component: () => import('../views/FixRuEnKeyboard.vue'),
		},
		{
			path: '/url_encode_decode',
			name: 'url_encode_decode',
			component: () => import('../views/UrlEncodeDecode.vue'),
		},
		{
			path: '/url_query_viewer',
			name: 'url_query_viewer',
			component: () => import('../views/UrlQueryViewer.vue'),
		},
		{
			path: '/file_base64_encode_decode',
			name: 'file_base64_encode_decode',
			component: () => import('../views/FileBase64EncodeDecode.vue'),
		},

		/**
		 * JSON manipulation
		 */
		{
			path: '/json_formatter',
			name: 'json_formatter',
			component: () => import('../views/JSONFormatter.vue'),
		},

		/**
		 * Golang
		 */
		{
			path: '/go_json_to_struct',
			name: 'go_json_to_struct',
			component: () => import('../views/GoJSONToStruct.vue'),
		},
		{
			path: '/sql_tables_to_struct',
			name: 'sql_tables_to_struct',
			component: () => import('../views/GoSQLTablesToStruct.vue'),
		},

		/**
		 * SQL manipulation
		 */
		{
			path: '/sql_split_in',
			name: 'sql_split_in',
			component: () => import('../views/SQLSplitInView.vue'),
		},
		{
			path: '/sql_formatter',
			name: 'sql_formatter',
			component: () => import('../views/SQLFormatter.vue'),
		},
	],
})

export default router
